> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.runpayments.io/reference/reporting-boarding/reporting-api/get-adjustments/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runpayments.io/_mcp/server. # Get adjustments data GET https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments Retrieve adjustments data with optional filtering by specific attributes. Multiple filters can be applied simultaneously. Reference: https://docs.runpayments.io/reference/reporting-boarding/reporting-api/get-adjustments ## Authentication - `Authorization` header (bearer token, required) — This API uses OAuth 2.0 for authentication. ## Request ### Query parameters - `q` (string, optional) — JSON query object to filter adjustments. Example: \{"funding\_master\_id":"F1645093"} Example: \{"mid":"lsn4mdj1416v350j0001"} ## Response ### 200 Successful adjustments data retrieval - `items` (list of Adjustment, required) ## Errors ### 400 Bad Request Error Bad request - `error` (string, optional) — Error code - `error_description` (string, optional) — Detailed error description ### 401 Unauthorized Error Unauthorized - `error` (string, optional) — Error code - `error_description` (string, optional) — Detailed error description ## Types ### Adjustment Schema for adjustment data - `id` (integer, optional) — Adjustment identifier - `funding_master_id` (string, optional) — Funding master identifier - `amount` (double, optional) — Adjustment amount - `mid` (string, optional) — Merchant ID - `adjustment_date` (string, optional) — Date of adjustment - `adjustment_reason` (string, optional) — Reason for adjustment - `adjustment_type` (string, optional) — Type of adjustment ## Examples **Response** ```json { "items": [ { "id": 1, "funding_master_id": "string", "amount": 1.1, "mid": "string", "adjustment_date": "2024-01-15T09:30:00Z", "adjustment_reason": "string", "adjustment_type": "string" } ] } ``` **SDK Code** ```python import requests url = "https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://apps.runpayments.io/ords/sprint/api/3p/v1/adjustments")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```